
Name:           rec-applet
Version:        0.2.3
Release:        3%{?dist}
Summary:        An audio recording applet
Group:          Applications/Multimedia
License:        GPLv3
URL:            https://launchpad.net/%{name}
Source0:        http://launchpad.net/rec-applet/trunk/release-2010-10/+download/%{name}_%{version}~maverick.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpanelappletmm-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  gnome-media-devel
BuildRequires:  intltool
Requires:       hicolor-icon-theme
Requires:       libbonobo
Requires:       xdg-utils

%description
This toolbar-applet allows you to record your favorite music or audio 
to a file. It can record / tap audio from your sound cards, microphones 
or webcams. It can save all audio that flows through your computer's 
loudspeakers. The applet has a timer that can stop the recording at 
"silence" or given clock time, after time duration or file size. 
It supports several audio (output) formats such as ogg, flac and wav.

%prep
%setup -q -n %{name}
# Changing solution for launching browser
sed -i "s|/usr/bin/sensible-browser|%{_bindir}/xdg-open|" src/help.c


%build
export LDFLAGS=" -lm"
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README NEWS TODO AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_libdir}/bonobo/servers/%{name}.server

%changelog
* Tue Nov 16 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0.2.3-3
- Add licence in doc section

* Sat Oct 30 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0.2.3-2
- Change Solution to launch help browser

* Sun Oct 24 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0.2.3-1
- Update to latest release
- Remove unrequired buildrequires
- Add requires hicolor-icon-theme and libbonobo

* Mon Sep 13 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0-0.3.20100821bzr
- Add gtk-update-icon-cache

* Sun Sep 12 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0-0.2.20100821bzr
- Change release tag according to Fedora Guidelines
- Replace of CFLAGS by LDFLAGS in build section
- Remove unrequired buildrequires

* Sat Sep 11 2010 Cedric OLIVIER <cedric.olivier@free.fr>  0-0.2.1
- First release

